Skip to main content
`Ctrl`+`K`

# VecInitializePackage

This function initializes everything in the `Vec` package. It is called from PetscDLLibraryRegister_petscvec() when using dynamic libraries, and on the first call to `VecCreate()` when using shared or static libraries.

## Synopsis

    #include "petscvec.h" */
    PetscErrorCode VecInitializePackage(void)

## Note

This function never needs to be called by PETSc users.

## See Also

`PetscInitialize()`

## Level

developer

## Location

src/vec/vec/interface/dlregisvec.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages